petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectTypeCompareAny

Determines whether a PETSc object is of any of a list of types.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectTypeCompareAny(PetscObject obj,PetscBool *match,const char type_name[],...)

Not Collective

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP. This must be cast with a (PetscObject), for example, PetscObjectTypeCompareAny((PetscObject)mat,...);
| type_name | - string containing a type name, pass the empty string "" to terminate the list

### Output Parameter

match -PETSC_TRUE if the type of obj matches any in the list, else PETSC_FALSE

### See Also

VecGetType(), KSPGetType(), PCGetType(), SNESGetType(), PetscObjectTypeCompare()

Level:intermediate
Location:src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages